import numpy as np
import matplotlib.pyplot as plt

A = np.genfromtxt( "p1.csv", delimiter=',' )

# Hacemos la matriz de covarinzas
medias = np.mean( A, axis=0 )

print( A )
print( medias )

B = A - medias
print( B )

C = B.T @ B

print( "La matriz de covarianzas" )
print( C )

# Hacemos la eigendescomposición de la matriz
# de covarianzas

print( "La eigendescomposición" )
E, V = np.linalg.eig( C )

print( E )
print( V )

print( "Usando la DVS" )

U, E2, V2 = np.linalg.svd( B )
print( V2.T )

T = B @ V

fig, [ax1, ax2] = plt.subplots( nrows=1, ncols=2 )

ax1.scatter( B[:,0], B[:,1] )
ax2.scatter( T[:,0], T[:,1] )

plt.show( )
